Đến nội dung


Hình ảnh

Hoán đổi vị trí hai đối tượng cho nhau


  • Please log in to reply
6 replies to this topic

#1 CUONG20051982

CUONG20051982

    biết lệnh extend

  • Members
  • PipPipPip
  • 196 Bài viết
Điểm đánh giá: 15 (tàm tạm)

Đã gửi 09 February 2009 - 10:06 AM

Em muốn hoán đổi vị trí hai đối tượng cho nhau khi có 2 điểm làm chuẩn thì có lệnh nào không. Bác nào biết giúp em với. Bản vẽ sau:Đường link: http://www.cadviet.c...s/Translate.dwg
  • 1

#2 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4106 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 03 April 2009 - 01:16 PM

Em muốn hoán đổi vị trí hai đối tượng cho nhau khi có 2 điểm làm chuẩn thì có lệnh nào không. Bác nào biết giúp em với. Bản vẽ sau:Đường link: http://www.cadviet.c...s/Translate.dwg

Lệnh là SW:

(defun c:sw()
(princ "\nChon doi tuong 1: ")
(setq ss1 (ssget)
p1 (getpoint "\nDiem chuan 1")
)
(princ "\nChon doi tuong 2: ")
(setq ss2 (ssget)
p2 (getpoint "\nDiem chuan 2")
)
(setq oldos (getvar "osmode"))
(setvar "osmode" 0)
(command ".move" ss1 "" p1 p2)
(command ".move" ss2 "" p2 p1)
(setvar "osmode" oldos)
(princ)
)

  • 2

#3 CUONG20051982

CUONG20051982

    biết lệnh extend

  • Members
  • PipPipPip
  • 196 Bài viết
Điểm đánh giá: 15 (tàm tạm)

Đã gửi 05 April 2009 - 01:09 PM

Bác Hoành ơi. Em thấy đây là 1 lệnh cũng khá hay mà em không hiểu tại sao trong CAD lại không có.
  • 0

#4 haanh

haanh

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2882 Bài viết
Điểm đánh giá: 1556 (rất tốt)

Đã gửi 05 April 2009 - 01:28 PM

Bác Hoành ơi. Em thấy đây là 1 lệnh cũng khá hay mà em không hiểu tại sao trong CAD lại không có.

Xin lỗi bác Hoành cho em ném đá hội nghị 1 phát nhá:
Trong CAD không có vì chưa đến tuổi phải có.
Bao giờ có tự nó sẽ có
Dúng như râu đến tuổi tự nhiên mọc....
Dúng như trăng đến rằm trăng tròn
Dúng như người con gái ...
Em càng lớn càng xinh đẹp hơn!
  • 0

“Sống trong đời sống cần có một tấm lòng / Để làm gì em biết không ? / Để gió cuốn đi, để gió cuốn đi...”


#5 CUONG20051982

CUONG20051982

    biết lệnh extend

  • Members
  • PipPipPip
  • 196 Bài viết
Điểm đánh giá: 15 (tàm tạm)

Đã gửi 06 April 2009 - 09:32 AM

Bác Hoành ơi cho em hỏi thêm chút được không. Giờ cũng với lệnh này nhưng em muốn chọn cả hai đối tượng cùng lúc bằng của sổ Window và chọn điểm chuẩn 1,điểm chuẩn 2 trước sau tuỳ ý có được không.
  • 0

#6 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4106 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 06 April 2009 - 05:57 PM

Bác Hoành ơi cho em hỏi thêm chút được không. Giờ cũng với lệnh này nhưng em muốn chọn cả hai đối tượng cùng lúc bằng của sổ Window và chọn điểm chuẩn 1,điểm chuẩn 2 trước sau tuỳ ý có được không.

chưa hiểu ý bạn, bạn hãy mô tả rõ hơn về chọn cả hai đối tượng cùng lúc bằng cửa sổ window?

Theo tôi hiểu sơ bộ là bạn chỉ cần hoán đổi 2 đối tượng, dùng drag chuột để chọn 2 đối tượng này, sau đó thì pick 2 điểm để tạo điểm hoán đổi? Nếu như vậy thì file bạn upload lên không đúng như ý này, vì trong file bạn đã upload mỗi cụm có đến mấy đối tượng chứ không phải là 1.
  • 1

#7 CUONG20051982

CUONG20051982

    biết lệnh extend

  • Members
  • PipPipPip
  • 196 Bài viết
Điểm đánh giá: 15 (tàm tạm)

Đã gửi 06 April 2009 - 07:37 PM

Vâng đúng như ý bác rồi đấy, file CAD trước là em lấy làm Ví dụ thôi mà, em nói thêm ý em là sau khi ta quét chọn tất cả các đối tượng đó thì ta có thể chọn 2 điểm để hoán đổi theo ý mình tức là chọn điểm nào trước cũng được miễn là sau khi chon 2 điểm này thì 2 nhóm đối tượng này sẽ hoán đổi vị trí cho nhau.
  • 0